curl --request GET \ --url 'https://notificatorsms.com/api/rss_automations/' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/rss_automations/'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/rss_automations/', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/rss_automations/', headers=headers) print(r.json())
| Parameters | Dettagli | Descrizione |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: content, rss_url. |
| segment | Optional String | Filter results by segment. |
| user_id | Optional Integer | Filter results by user ID. |
| datetime_field | Optional String | Allowed values: last_check_datetime, next_check_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: rss_automation_id, name, content, last_check_datetime, next_check_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_campaigns. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
{
"data": [
{
"id": 1,
"user_id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"content": "Sample message",
"settings": {
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15,
"unique_item_identifier": "url",
},
"segment": "all",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 16:55:00",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notificatorsms.com/api/rss-automations?page=1",
"last": "https://notificatorsms.com/api/rss-automations?page=1",
"next": null,
"prev": null,
"self": "https://notificatorsms.com/api/rss-automations?page=1"
}
}
curl --request GET \ --url 'https://notificatorsms.com/api/rss_automations/{rss_automation_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/rss_automations/{rss_automation_id}'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', headers=headers) print(r.json())
{
"data": {
"id": 1,
"user_id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"content": "Sample message",
"settings": {
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15,
"unique_item_identifier": "url",
},
"segment": "all",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 16:55:00",
}
}
| Parameters | Dettagli | Descrizione |
|---|---|---|
| rss_url | Optional String | - |
| content | Required String | - |
| device_id | Required Integer | - |
| sim_subscription_id | Required Integer | - |
| check_interval_seconds | Optional String | Allowed values: 900, 1800, 3600, 21600, 43200, 86400, 259200 (secondi) |
| items_count | Optional String | Allowed values: 1 - 100 |
| campaigns_delay | Optional String | Allowed values: 5 - 1440 |
| unique_item_identifier | Optional String | Allowed values: link, pubdate |
| disable_rss_automation_on_fail | Optional Boolean | - |
| is_enabled | Optional Boolean | - |
curl --request POST \ --url 'https://notificatorsms.com/api/rss_automations' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'name=Mon RSS' \ --form 'segment_id=1'
<?php $ch = curl_init('https://notificatorsms.com/api/rss_automations'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'name' => 'Mon RSS', 'segment_id' => '1', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('name', 'Mon RSS'); form.append('segment_id', '1'); const res = await fetch('https://notificatorsms.com/api/rss_automations', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'name': 'Mon RSS', 'segment_id': '1', } r = requests.post('https://notificatorsms.com/api/rss_automations', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
| Parameters | Dettagli | Descrizione |
|---|---|---|
| rss_url | Optional String | - |
| name | Optional String | - |
| content | Optional String | - |
| device_id | Optional Integer | - |
| sim_subscription_id | Optional Integer | - |
| check_interval_seconds | Optional String | Allowed values: 900, 1800, 3600, 21600, 43200, 86400, 259200 (secondi) |
| items_count | Optional String | Allowed values: 1 - 100 |
| campaigns_delay | Optional String | Allowed values: 5 - 1440 |
| unique_item_identifier | Optional String | Allowed values: link, pubdate |
| disable_rss_automation_on_fail | Optional Boolean | - |
| is_enabled | Optional Boolean | - |
curl --request POST \ --url 'https://notificatorsms.com/api/rss_automations/{rss_automation_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'name=Mon RSS'
<?php $ch = curl_init('https://notificatorsms.com/api/rss_automations/{rss_automation_id}'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'name' => 'Mon RSS', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('name', 'Mon RSS'); const res = await fetch('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'name': 'Mon RSS', } r = requests.post('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
curl --request DELETE \ --url 'https://notificatorsms.com/api/rss_automations/{rss_automation_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/rss_automations/{rss_automation_id}'); curl_setopt_array($ch, [ CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', { method: 'DELETE', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.delete('https://notificatorsms.com/api/rss_automations/{rss_automation_id}', headers=headers) print(r.json())